Subject: Re: [PATCH V3] cpuidle/powernv: Read target_residency value of idle states from DT if available

From: Preeti U Murthy <[email-masked]>
Date: Mon, 02 Feb 2015 14:25:47 +0530

On 02/02/2015 12:09 PM, Michael Ellerman wrote:
> On Mon, 2015-02-02 at 10:40 +0530, Preeti U Murthy wrote:
>> The device tree now exposes the residency values for different idle states. Read
>> these values instead of calculating residency from the latency values. The values
>> exposed in the DT are validated for optimal power efficiency. However to maintain
>> compatibility with the older firmware code which does not expose residency
>> values, use default values as a fallback mechanism. While at it, use better
>> APIs to parse the powermgmt device tree node so as to avoid endianness
>> transformation.
>>
>> Signed-off-by: Preeti U Murthy <[email-masked]>
>> ---
>> Changes from V2: https://lkml.org/lkml/2015/1/27/1054
>> 1. Used APIs to eliminate endianness transformation
> 
> Hi Preeti,
> 
> I thought I was pretty clear when I said you should do that as a follow-up
> patch.
> 
> This is now doing too many things, it's not a single logical change, and it's
> touching code in arch/powerpc and the driver. Which means neither I nor Rafael
> can easily merge it.  
> 
> So please go back to the v2 you had. And then do the of_property_count_u32_elems()
> changes as separate patches.

Yeah I apologize for this; going back to the conversation we had, I
realize that I completely overlooked the part where you suggested it as
a second patch. Sorry for the inconvenience.

Rafael, please ignore the versions sent so far. I shall send out two
patches that are logically separated. V2 of this patch that you were
requested to pick up needs some more fixes; the patch was not freeing
the dynamically allocated data after populating the cpufreq table. Ill
fix all of these in the next posting.

Thanks

Regards
Preeti U Murthy
> 
> cheers
> 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev
>